Debian Bug report logs - #514771
manpages-dev: putpmsg(2) says it is unimplemented, but syscalls(2) does not list it as such

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Sami Liedes <sliedes@cc.hut.fi>

Date: Tue, 10 Feb 2009 18:34:50 UTC

Severity: minor

Tags: fixed-upstream

Found in version 3.17-1

Fixed in version manpages/3.19-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#514771; Package manpages-dev. (Tue, 10 Feb 2009 18:34:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sami Liedes <sliedes@cc.hut.fi>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 10 Feb 2009 18:34:53 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sami Liedes <sliedes@cc.hut.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: putpmsg(2) says it is unimplemented, but syscalls(2) does not list it as such
Date: Tue, 10 Feb 2009 20:31:16 +0200
Package: manpages-dev
Version: 3.17-1
Severity: minor

putpmsg(2) man page is the unimplemented syscall manpage:

------------------------------------------------------------
$ ls -l /usr/share/man/man2/putpmsg.2.gz
lrwxrwxrwx 1 root root 18 2009-01-26 22:03 /usr/share/man/man2/putpmsg.2.gz -> unimplemented.2.gz
------------------------------------------------------------

However, it is not listed as unimplemented in syscalls(2), which lists
other syscalls as unimplemented:

------------------------------------------------------------
       pread64(2)                                Added as "pread" in 2.2;
                                                 renamed "pread64" in 2.6
       prof(2)                                   Not implemented
       profil(2)                                 Not implemented
       pselect6(2)                 2.6.16
       ptrace(2)
       putpmsg(2)
       pwrite64(2)                               Added as "pwrite" in 2.2;
                                                 renamed "pwrite64" in 2.6
       query_module(2)             2.2
------------------------------------------------------------

putpmsg(2) should probably be listed as "Not implemented" in
syscalls(2).

	Sami




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#514771; Package manpages-dev. (Wed, 11 Feb 2009 04:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Feb 2009 04:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 514771@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Sami Liedes <sliedes@cc.hut.fi>, 514771@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#514771: manpages-dev: putpmsg(2) says it is unimplemented, but syscalls(2) does not list it as such
Date: Wed, 11 Feb 2009 17:39:43 +1300
tags 514771 fixed-upstream
thanks

Hello Sami,

Thanks for your report.

On Wed, Feb 11, 2009 at 7:31 AM, Sami Liedes <sliedes@cc.hut.fi> wrote:
> Package: manpages-dev
> Version: 3.17-1
> Severity: minor
>
> putpmsg(2) man page is the unimplemented syscall manpage:
>
> ------------------------------------------------------------
> $ ls -l /usr/share/man/man2/putpmsg.2.gz
> lrwxrwxrwx 1 root root 18 2009-01-26 22:03 /usr/share/man/man2/putpmsg.2.gz -> unimplemented.2.gz
> ------------------------------------------------------------
>
> However, it is not listed as unimplemented in syscalls(2), which lists
> other syscalls as unimplemented:
>
> ------------------------------------------------------------
>       pread64(2)                                Added as "pread" in 2.2;
>                                                 renamed "pread64" in 2.6
>       prof(2)                                   Not implemented
>       profil(2)                                 Not implemented
>       pselect6(2)                 2.6.16
>       ptrace(2)
>       putpmsg(2)
>       pwrite64(2)                               Added as "pwrite" in 2.2;
>                                                 renamed "pwrite64" in 2.6
>       query_module(2)             2.2
> ------------------------------------------------------------
>
> putpmsg(2) should probably be listed as "Not implemented" in
> syscalls(2).

Agreed, and the same remark applies for getpmsg(2).  I've updated
syscalls(2) to note that these system calls are both unimplemented.
The update will be in upstream man-pages-3.19.

Thanks,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Wed, 11 Feb 2009 04:42:03 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Sat, 25 Apr 2009 13:12:05 GMT) Full text and rfc822 format available.

Notification sent to Sami Liedes <sliedes@cc.hut.fi>:
Bug acknowledged by developer. (Sat, 25 Apr 2009 13:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 514771-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 514771-close@bugs.debian.org
Subject: Bug#514771: fixed in manpages 3.19-1
Date: Sat, 25 Apr 2009 13:02:27 +0000
Source: manpages
Source-Version: 3.19-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.19-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.19-1_all.deb
manpages_3.19-1.diff.gz
  to pool/main/m/manpages/manpages_3.19-1.diff.gz
manpages_3.19-1.dsc
  to pool/main/m/manpages/manpages_3.19-1.dsc
manpages_3.19-1_all.deb
  to pool/main/m/manpages/manpages_3.19-1_all.deb
manpages_3.19.orig.tar.gz
  to pool/main/m/manpages/manpages_3.19.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Apr 2009 14:48:11 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.19-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 514771
Changes: 
 manpages (3.19-1) unstable; urgency=low
 .
   * New upstream release
     . Updated syscalls (2) with regards to unimplemented getpmsg(2) and
       putmsg(2) (closes: Bug#514771)
Checksums-Sha1: 
 5073fa04a5efcf3aded473524b21642528635534 964 manpages_3.19-1.dsc
 a495d12f5b9d9e1744d84d63df2a8bf6365b7072 1582142 manpages_3.19.orig.tar.gz
 0c948eaad925e052cfa1919b5f196fed7b46d9cc 47991 manpages_3.19-1.diff.gz
 d54b0aab3996ff3d8eff49b60f7f0b836123ea71 708170 manpages_3.19-1_all.deb
 d59205749ba21e1b214b9dcf958e6af004e21ebd 1553452 manpages-dev_3.19-1_all.deb
Checksums-Sha256: 
 1449b5c8938b4c90652b273bbd0ed4a362ce4a6d485e5b940bb61f51978cb873 964 manpages_3.19-1.dsc
 61a762878465e70803dae44627a5ce425836af68ebb5f89a0c8b03327cf3ad83 1582142 manpages_3.19.orig.tar.gz
 74b21383adfb2b5b110d64dff1e71c64c39c83e8e24ac44d2048284cb29240b4 47991 manpages_3.19-1.diff.gz
 d12a0f8e1282583bad7ec32f01621d9df971d38e7d21930df136a222bdfd2c62 708170 manpages_3.19-1_all.deb
 114aae6cdd64cd75bb03234c0a5fb999f8e7d0d7a2b9f0ba1624e1b610d8f0ca 1553452 manpages-dev_3.19-1_all.deb
Files: 
 19c1dc444f94dadf4f648062114f11fb 964 doc important manpages_3.19-1.dsc
 362728541d6fcdf1e79fe6f7f1cf90eb 1582142 doc important manpages_3.19.orig.tar.gz
 be80804ef2fac1a66ab1742dc1418cec 47991 doc important manpages_3.19-1.diff.gz
 d25c4fc91598e26cd7157c270d5f6d28 708170 doc important manpages_3.19-1_all.deb
 fe95a2cb0dc834d96314c61320958ee6 1553452 doc optional manpages-dev_3.19-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ8whhW5ql+IAeqTIRAjSsAKCwo/WhRxx6fd2lgE3rjbLer4ALhgCfdF3j
FV360SvHoGQrtuFIi8EM6qE=
=Aw4v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 May 2009 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:32:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.